Debian Bug report logs - #162663
libc0.3-dev: depends on gnumach-dev which is priority optional

Package: gnumach-dev; Maintainer for gnumach-dev is GNU Hurd Maintainers <debian-hurd@lists.debian.org>; Source for gnumach-dev is src:gnumach.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Sat, 28 Sep 2002 07:48:01 UTC

Severity: normal

Tags: jessie, sid

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#162663; Package libc0.3-dev. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <karlsson@hal-pc.org>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <karlsson@hal-pc.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libc0.3-dev: depends on gnumach-dev which is priority optional
Date: Sat, 28 Sep 2002 07:34:35 +0000
[Message part 1 (text/plain, inline)]
Package: libc0.3-dev
Version: 2.2.5-13 (not installed)
Severity: serious
Justification: Policy 2.2

libc0.3-dev is priority standard. gnumach-dev is priority optional.
libc0.3-dev Depends: on gnumach-dev, which is forbidden. One of the two
priorities needs to be adjusted, so that it no longer violates policy,
or else libc0.3-dev needs to not depend on gnumach-dev, which is
probably a bad idea.


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux stonewall 2.4.18-k7 #1 Sun Apr 14 13:19:11 EST 2002 i686
Locale: LANG=C, LC_CTYPE=C (ignored: LC_ALL set)


-- 
Brian M. Carlson <karlsson@hal-pc.org> <http://decoy.wox.org/~bmc> 0x560553E7
I always pass on good advice.  It is the only thing to do with it.
It is never any good to oneself.
		-- Oscar Wilde, "An Ideal Husband"
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#162663; Package libc0.3-dev. Full text and rfc822 format available.

Acknowledgement sent to Jeff Bailey <jbailey@nisa.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 162663@bugs.debian.org (full text, mbox):

From: Jeff Bailey <jbailey@nisa.net>
To: "Brian M. Carlson" <karlsson@hal-pc.org>, 162663@bugs.debian.org
Subject: Re: Bug#162663: libc0.3-dev: depends on gnumach-dev which is priority optional
Date: Sat, 28 Sep 2002 07:00:07 -0700
On Sat, Sep 28, 2002 at 07:34:35AM +0000, Brian M. Carlson wrote:

> libc0.3-dev is priority standard. gnumach-dev is priority optional.
> libc0.3-dev Depends: on gnumach-dev, which is forbidden. One of the
> two priorities needs to be adjusted, so that it no longer violates
> policy, or else libc0.3-dev needs to not depend on gnumach-dev,
> which is probably a bad idea.

Thanks for bringing this to our attention.  I will re-assign to
gnumach-dev.

Tks,
jeff Bailey

-- 
learning from failures is nice in theory...
but in practice, it sucks :)
 - Wolfgang Jaehrling



Bug reassigned from package `libc0.3-dev' to `gnumach-dev'. Request was from Jeff Bailey <jbailey@nisa.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sid Request was from Steve Langasek <vorlon@netexpress.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from "Brian M. Carlson" <karlsson@hal-pc.org> to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#162663; Package gnumach-dev. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. Full text and rfc822 format available.

Message #23 received at 162663@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: 162663@bugs.debian.org
Subject: Re: libc0.3-dev: depends on gnumach-dev which is priority optional
Date: Tue, 27 Dec 2005 00:12:02 +0100
Hi,

Please have a look at http://bugs.debian.org/162663 for a long-pending
but easy-fixing issue (maybe you didn't get a single mail about its
reassignment).

Regards,
Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#162663; Package gnumach-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. Full text and rfc822 format available.

Message #28 received at 162663@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 162663@bugs.debian.org
Subject: Re: Bug#162663: libc0.3-dev: depends on gnumach-dev which is priority optional
Date: Tue, 27 Dec 2005 01:47:28 +0100
On Tue, Dec 27, 2005 at 12:12:02AM +0100, Samuel Thibault wrote:
> Please have a look at http://bugs.debian.org/162663 for a long-pending
> but easy-fixing issue (maybe you didn't get a single mail about its
> reassignment).

The problem is that we cannot elevate gnumach(-dev)'s priority, as it is
only available on i386 (aka. Debian GNU/Linux on i386) and it is
imperative that gnumach be not installed by default there.

Due to current technical limitations, Priorities have to be the same
among architectures, so gnumach(-dev) is Priority: optional on hurd-i386
for the time.

Furthermore, there are related issues with Build-Essential I cannot
recite fully at the moment.  The bottom line is that we let debootstrap
install libc0.3-dev as Build-Essential, which drags in hurd-dev and
gnumach-dev due to Dependencies.  If we dropped the Depends:, we'd lose
--variant=buildd feature of debootstrap, which would be a pity and not
worth the effort.

So I think leaving things like there are for the time being (until
"arch-specific overrides" are put into place, so that packages can have
different priorities on different arches) is alright.


cheers,

Michael

PS: Thanks for all the triaging!




Tags added: sid Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#162663; Package gnumach-dev. Full text and rfc822 format available.

Acknowledgement sent to "Johan Walles" <johan.walles@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 162663@bugs.debian.org (full text, mbox):

From: "Johan Walles" <johan.walles@gmail.com>
To: 162663@bugs.debian.org
Subject: This is the only thing keeping gnumach-dev from testing
Date: Wed, 30 May 2007 15:01:32 +0200
This bug is the only reason gnumach-dev isn't in testing:

http://bjorn.haxx.se/debian/testing.pl?package=gnumach-dev

Somebody who understands this better than me, please close this bug or
explain why it should still be open.

 Regards //Johan



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#162663; Package gnumach-dev. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 162663@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Johan Walles <johan.walles@gmail.com>, 162663@bugs.debian.org
Subject: Re: Bug#162663: This is the only thing keeping gnumach-dev from testing
Date: Wed, 30 May 2007 15:13:32 +0200
Johan Walles, le Wed 30 May 2007 15:01:32 +0200, a écrit :
> Somebody who understands this better than me, please close this bug or
> explain why it should still be open.

Mmm, I'd say the explanation given by Michael still holds?

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#162663; Package gnumach-dev. Full text and rfc822 format available.

Acknowledgement sent to "Regis Boudin" <regis@boudin.name>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 162663@bugs.debian.org (full text, mbox):

From: "Regis Boudin" <regis@boudin.name>
To: "Samuel Thibault" <samuel.thibault@ens-lyon.org>, 162663@bugs.debian.org
Subject: Re: Bug#162663: This is the only thing keeping gnumach-dev from testing
Date: Wed, 30 May 2007 14:40:21 +0100 (BST)
On Wed, May 30, 2007 14:13, Samuel Thibault wrote:
> Johan Walles, le Wed 30 May 2007 15:01:32 +0200, a écrit :
>> Somebody who understands this better than me, please close this bug or
>> explain why it should still be open.
>
> Mmm, I'd say the explanation given by Michael still holds?

And I'd point that libc6-dev depends on linux-libc-dev (formerly
linux-kernel-headers) which is priority optional, and looks like exactly
the same situation. I'm wondering if this point of the policy should be
ignored for the specific case of libc-dev depending on the kernel headers,
whatever the kernel is (so the same would apply for kfreebsd).

Regis




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#162663; Package gnumach-dev. Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 162663@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>, 162663@bugs.debian.org
Cc: Johan Walles <johan.walles@gmail.com>
Subject: Re: Bug#162663: This is the only thing keeping gnumach-dev from testing
Date: Wed, 30 May 2007 18:28:33 +0300
On Wed, 2007-05-30 at 15:13:32 +0200, Samuel Thibault wrote:
> Johan Walles, le Wed 30 May 2007 15:01:32 +0200, a écrit :
> > Somebody who understands this better than me, please close this bug or
> > explain why it should still be open.
> 
> Mmm, I'd say the explanation given by Michael still holds?

That's right, but it's not the entire truth. We don't want those
packages on testing, that's on purpose, as hurd-i386 is not yet a
valid stable candidate. The other bug holding this would be #280987.

regards,
guillem



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#162663; Package gnumach-dev. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 162663@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Guillem Jover <guillem@debian.org>
Cc: 162663@bugs.debian.org, Johan Walles <johan.walles@gmail.com>
Subject: Re: Bug#162663: This is the only thing keeping gnumach-dev from testing
Date: Wed, 30 May 2007 17:33:26 +0200
Guillem Jover, le Wed 30 May 2007 18:28:33 +0300, a écrit :
> On Wed, 2007-05-30 at 15:13:32 +0200, Samuel Thibault wrote:
> > Johan Walles, le Wed 30 May 2007 15:01:32 +0200, a écrit :
> > > Somebody who understands this better than me, please close this bug or
> > > explain why it should still be open.
> > 
> > Mmm, I'd say the explanation given by Michael still holds?
> 
> That's right, but it's not the entire truth. We don't want those
> packages on testing, that's on purpose, as hurd-i386 is not yet a
> valid stable candidate.

Mmm, but it makes sense to install the gnumach package in a stable
GNU/Linux debian system, for booting a GNU/Hurd system on the same
machine.

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#162663; Package gnumach-dev. Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 162663@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Johan Walles <johan.walles@gmail.com>, 162663@bugs.debian.org
Subject: Re: Bug#162663: This is the only thing keeping gnumach-dev from testing
Date: Thu, 31 May 2007 04:02:04 +0300
On Wed, 2007-05-30 at 15:01:32 +0200, Johan Walles wrote:
> This bug is the only reason gnumach-dev isn't in testing:
> 
> http://bjorn.haxx.se/debian/testing.pl?package=gnumach-dev
> 
> Somebody who understands this better than me, please close this bug or
> explain why it should still be open.

This analysis is actually wrong. What is holding gnumach from entering
testing is that it has to wait 5 more days (for the 10 days criteria),
and that it has udebs, which means it's permanently frozen.

After some discussion on #hurd, once the 5 days period is over, I'll
close the mig RC bug (which is required so that it can migrate as
well, and does not produce a FTBFS for gnumach on testing), and will
request an unfreeze for gnumach so that it can enter testing.

If someone objects, please speak up!

regards,
guillem



Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:12 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:34:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:54:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.